org.apache.xmlbeans.impl.xb.xsdschema

## Interface UnionDocument.Union

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  UnionDocumentImpl.UnionImpl

Enclosing interface:
  UnionDocument

    public static interface UnionDocument.Union
    extends Annotated

An XML union(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Nested Class Summary

Nested Classes
`static interface` `UnionDocument.Union.MemberTypes` An XML memberTypes(@).

### Field Summary

Fields
`static ElementFactory<UnionDocument.Union>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`LocalSimpleType` `addNewSimpleType()` Appends and returns a new empty value (as xml) as the last "simpleType" element
`List` `getMemberTypes()` Gets the "memberTypes" attribute
`LocalSimpleType[]` `getSimpleTypeArray()` Gets array of all "simpleType" elements
`LocalSimpleType` `getSimpleTypeArray(int i)` Gets ith "simpleType" element
`List<LocalSimpleType>` `getSimpleTypeList()` Gets a List of "simpleType" elements
`LocalSimpleType` `insertNewSimpleType(int i)` Inserts and returns a new empty value (as xml) as the ith "simpleType" element
`boolean` `isSetMemberTypes()` True if has "memberTypes" attribute
`void` `removeSimpleType(int i)` Removes the ith "simpleType" element
`void` `setMemberTypes(List memberTypes)` Sets the "memberTypes" attribute
`void` `setSimpleTypeArray(int i, LocalSimpleType simpleType)` Sets ith "simpleType" element
`void` `setSimpleTypeArray(LocalSimpleType[] simpleTypeArray)` Sets array of all "simpleType" element
`int` `sizeOfSimpleTypeArray()` Returns number of "simpleType" element
`void` `unsetMemberTypes()` Unsets the "memberTypes" attribute
`UnionDocument.Union.MemberTypes` `xgetMemberTypes()` Gets (as xml) the "memberTypes" attribute
`void` `xsetMemberTypes(UnionDocument.Union.MemberTypes memberTypes)` Sets (as xml) the "memberTypes" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<UnionDocument.Union> Factory

#### type

    static final SchemaType type

### Method Detail

#### getSimpleTypeList

    List<LocalSimpleType> getSimpleTypeList()

Gets a List of "simpleType" elements

#### getSimpleTypeArray

    LocalSimpleType[] getSimpleTypeArray()

Gets array of all "simpleType" elements

#### getSimpleTypeArray

    LocalSimpleType getSimpleTypeArray(int i)

Gets ith "simpleType" element

#### sizeOfSimpleTypeArray

    int sizeOfSimpleTypeArray()

Returns number of "simpleType" element

#### setSimpleTypeArray

    void setSimpleTypeArray(LocalSimpleType[] simpleTypeArray)

Sets array of all "simpleType" element

#### setSimpleTypeArray

    void setSimpleTypeArray(int i,
                            LocalSimpleType simpleType)

Sets ith "simpleType" element

#### insertNewSimpleType

    LocalSimpleType insertNewSimpleType(int i)

Inserts and returns a new empty value (as xml) as the ith "simpleType" element

#### addNewSimpleType

    LocalSimpleType addNewSimpleType()

Appends and returns a new empty value (as xml) as the last "simpleType" element

#### removeSimpleType

    void removeSimpleType(int i)

Removes the ith "simpleType" element

#### getMemberTypes

    List getMemberTypes()

Gets the "memberTypes" attribute

#### xgetMemberTypes

    UnionDocument.Union.MemberTypes xgetMemberTypes()

Gets (as xml) the "memberTypes" attribute

#### isSetMemberTypes

    boolean isSetMemberTypes()

True if has "memberTypes" attribute

#### setMemberTypes

    void setMemberTypes(List memberTypes)

Sets the "memberTypes" attribute

#### xsetMemberTypes

    void xsetMemberTypes(UnionDocument.Union.MemberTypes memberTypes)

Sets (as xml) the "memberTypes" attribute

#### unsetMemberTypes

    void unsetMemberTypes()

Unsets the "memberTypes" attribute